/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

public interface UpdateTrajectoryRequestOrBuilder extends
    // @@protoc_insertion_point(interface_extends:SimulationController.UpdateTrajectoryRequest)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>string vehicleID = 1;</code>
   */
  java.lang.String getVehicleID();
  /**
   * <code>string vehicleID = 1;</code>
   */
  com.google.protobuf.ByteString
      getVehicleIDBytes();

  /**
   * <code>string sourceOsmID = 2;</code>
   */
  java.lang.String getSourceOsmID();
  /**
   * <code>string sourceOsmID = 2;</code>
   */
  com.google.protobuf.ByteString
      getSourceOsmIDBytes();

  /**
   * <code>string targetOsmID = 3;</code>
   */
  java.lang.String getTargetOsmID();
  /**
   * <code>string targetOsmID = 3;</code>
   */
  com.google.protobuf.ByteString
      getTargetOsmIDBytes();
}
